Bug 192200 - CSS Painting API should allow image values in inputProperties
Summary: CSS Painting API should allow image values in inputProperties
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Justin Michaud
URL:
Keywords: InRadar
Depends on:
Blocks: 190217
  Show dependency treegraph
 
Reported: 2018-11-29 16:37 PST by Justin Michaud
Modified: 2018-12-05 14:00 PST (History)
9 users (show)

See Also:


Attachments
Patch (103.92 KB, patch)
2018-11-29 16:43 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.58 MB, application/zip)
2018-11-29 19:21 PST, Build Bot
no flags Details
Patch (100.48 KB, patch)
2018-11-29 19:54 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Patch (100.50 KB, patch)
2018-11-29 20:49 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Patch (101.08 KB, patch)
2018-11-29 22:29 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Patch (101.19 KB, patch)
2018-12-03 21:20 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Patch (101.19 KB, patch)
2018-12-03 21:31 PST, Justin Michaud
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews103 for mac-sierra (2.52 MB, application/zip)
2018-12-04 03:25 PST, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Michaud 2018-11-29 16:37:51 PST
CSS Painting API should allow image values in inputProperties
Comment 1 Justin Michaud 2018-11-29 16:43:32 PST
Created attachment 356091 [details]
Patch
Comment 2 Build Bot 2018-11-29 19:21:42 PST Comment hidden (obsolete)
Comment 3 Build Bot 2018-11-29 19:21:44 PST Comment hidden (obsolete)
Comment 4 Justin Michaud 2018-11-29 19:54:05 PST
Created attachment 356114 [details]
Patch
Comment 5 Justin Michaud 2018-11-29 20:49:05 PST
Created attachment 356120 [details]
Patch
Comment 6 Justin Michaud 2018-11-29 22:29:34 PST
Created attachment 356135 [details]
Patch
Comment 7 Dean Jackson 2018-11-30 15:39:59 PST
Comment on attachment 356135 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356135&action=review

> Source/WebCore/platform/graphics/gpu/GPUSwapChain.h:32
> +#include "GPUTexture.h"
>  #include <wtf/RefPtr.h>
>  #include <wtf/RetainPtr.h>

OOPS. Not meant for this patch.

> LayoutTests/fast/css-custom-paint/arguments.html:6
> +<!DOCTYPE html><!-- webkit-test-runner [ experimental:CSSPaintingAPIEnabled=true ] -->
> +<meta name="author" title="Justin Michaud" href="mailto:justin_michaud@webkit.org">
> +<meta name="assert" content="Test that paint worklets parse arguments correctly">
> +<link rel="help" content="https://drafts.css-houdini.org/css-paint-api-1/">
> +<script src="resources/testharness.js"></script>
> +

I don't think this test has anything to do with this patch.
Comment 8 Justin Michaud 2018-11-30 16:31:39 PST
Comment on attachment 356135 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=356135&action=review

>> Source/WebCore/platform/graphics/gpu/GPUSwapChain.h:32
>>  #include <wtf/RetainPtr.h>
> 
> OOPS. Not meant for this patch.

It fixes some very strange unified source issues. They were coming from derived sources, which makes it even stranger. I will bug Justin about it.

>> LayoutTests/fast/css-custom-paint/arguments.html:6
>> +
> 
> I don't think this test has anything to do with this patch.

I figured I would throw this fix in too since it seemed too small to be its own patch. The changes are in CSSPaintImageValue.cpp.
Comment 9 Justin Michaud 2018-12-03 21:20:10 PST
Created attachment 356456 [details]
Patch
Comment 10 Justin Michaud 2018-12-03 21:31:10 PST
Created attachment 356459 [details]
Patch
Comment 11 Build Bot 2018-12-04 03:25:09 PST
Comment on attachment 356459 [details]
Patch

Attachment 356459 [details] did not pass mac-ews (mac):
Output: https://webkit-queues.webkit.org/results/10261208

New failing tests:
storage/indexeddb/transaction-basics-private.html
Comment 12 Build Bot 2018-12-04 03:25:11 PST
Created attachment 356480 [details]
Archive of layout-test-results from ews103 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews103  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 13 Justin Michaud 2018-12-04 11:56:45 PST
The test failures were not present before I rebased, and appear to be the result of Simon's patch that was rolled out. Dean agrees that this patch doesn't appear to be related to the test failures, so I am going to land it.
Comment 14 WebKit Commit Bot 2018-12-04 12:25:09 PST
Comment on attachment 356459 [details]
Patch

Clearing flags on attachment: 356459

Committed r238872: <https://trac.webkit.org/changeset/238872>
Comment 15 WebKit Commit Bot 2018-12-04 12:25:11 PST
All reviewed patches have been landed.  Closing bug.
Comment 16 Radar WebKit Bug Importer 2018-12-04 12:26:52 PST
<rdar://problem/46461723>